repo/gentoo:master commit in: sys-apps/uutils-coreutils/

"Luca Barbato" <[email protected]>
Newsgroups gmane.linux.gentoo.cvs
Message-ID <1786655391.afda1deac2fd57d9721acfb7ce3e08af9dd5f386.lu_zero@gentoo>
commit:     afda1deac2fd57d9721acfb7ce3e08af9dd5f386
Author:     Luca Barbato <lu_zero <AT> gentoo <DOT> org>
AuthorDate: Thu Aug 13 21:09:35 2026 +0000
Commit:     Luca Barbato <lu_zero <AT> gentoo <DOT> org>
CommitDate: Thu Aug 13 21:09:51 2026 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=afda1dea

sys-apps/uutils-coreutils: add 0.10.0

Signed-off-by: Luca Barbato <lu_zero <AT> gentoo.org>

 sys-apps/uutils-coreutils/Manifest                 |   2 +
 .../uutils-coreutils-0.10.0.ebuild                 | 132 +++++++++++++++++++++
 2 files changed, 134 insertions(+)

diff --git a/sys-apps/uutils-coreutils/Manifest b/sys-apps/uutils-coreutils/Manifest
index 656a55fb740a..7c2f0b106c6b 100644
--- a/sys-apps/uutils-coreutils/Manifest
+++ b/sys-apps/uutils-coreutils/Manifest
@@ -1,6 +1,8 @@
+DIST coreutils-0.10.0-crates.tar.xz 28595532 BLAKE2B 1f25501e19dc7b033b56c47aeb83c1c808024a4ce07fe55d5b7a83999b04894791f433f4d63aa5f45a53cb760c3d54b565ef1be9e9712f919692813519809cda SHA512 2a85e2fbe0d5f5c5f5e66ff83776197a0a512c4bb46504c960325461a2270749f532c780f14c31ea5f62c6e2b0a8a0ddb3ca55a4f08b75de36107703da184680
 DIST coreutils-0.7.0-crates.tar.xz 22825916 BLAKE2B 810e8f398488ea8182da6a8edb7192d232ad04213326f6340f214f3eed514bba13112e32a9c0b91f869770c0cc808227661a53d288df7975caa2df75f24c1092 SHA512 940f6351d85e626ca4030555af38dec1ad2fcb9897bcf4f33958eb0576816d8e29ce9ab8d5144e819877b02cf14433f6d122ea6f5dc77a169fc40563534601cc
 DIST coreutils-0.8.0-crates.tar.xz 23791272 BLAKE2B b5f413dbe58cc4bc4ed5370857873a2a33bdcd1deb88a4b366b8d281dc54c4f41587640b3ec41702fbdeb5babe6c1720816661621d1ee54f0259d9cbbd2ea6c0 SHA512 d92cfb7301c07a5566146dcde60356de6daa879c5545b183ef9f5d0546ac38d191b99f32b046d3f11001e222cee1fc454c588828c8366f9af0b90f167c7ea683
 DIST coreutils-0.9.0-crates.tar.xz 24001836 BLAKE2B eafd12ab64d7f174db1e9984ef992c59b4636dbae683bb6efd67d6fed00382abf19ec1254f98586c2078952ab87d2bda0e4d4cfd5008fdb97fbfdcc3a4dba464 SHA512 e9a3a15f8af8f0bd8fa8889dd685b6c671a7924e72324fda2ccb6630b3e677e5839c9f35e21f22187f24d6e751d011809438701ce5dc403ed1b1cdd2cc552b9b
+DIST uutils-coreutils-0.10.0.tar.gz 2671039 BLAKE2B 529ca972be2fcaf72a99560dfdf973f3d197fdff3a735c7a8cc5e9b19c2a02f98fffbd66304e4d355c8f8bd9a3f746ac7a4530750eca43e56ecea6dcb7eaeae2 SHA512 cd5bc2b491ad36e559678aa45578c1646d48f4421abb1944195282acea4e5c6c1f9556c3fd2758cc7e37a1995fd5e2e1b94dfb91b6826f4e4c9bf8ddb7e50fd8
 DIST uutils-coreutils-0.7.0.tar.gz 3137923 BLAKE2B ef7539429324b64adb710dcb93981f9e5bbd8e7b54af462dfb419d2877270c1cb88c67b170ee5098e7490766cfe0ea4a9807e06103ea5d6100006f84226eb4b7 SHA512 e6d01d9320050efaa64ac261d86fddbb79895a0768c388248b412be571989ec4fc78c094e9606d56154abab06b3f66bd4784c55dbf8129db183e78df4bd7c43c
 DIST uutils-coreutils-0.8.0.tar.gz 3189526 BLAKE2B 834d816187989e2651a710f2cb6eae3a475615bd9793a5abde6bab5a78647640fcb9d9088fca7fea31d90bffedf6dcb49b407ee736991c24829fcf13c9702b44 SHA512 fb586a10c31d041a04ad5a61219569263a3b2a85314d1f5a032e5a599488a47c03289d5783ed41ad26b024b3c01c31cc787fa7a7c4a262521dc08c4694f3cfa6
 DIST uutils-coreutils-0.9.0.tar.gz 3242091 BLAKE2B 6e3f174250dbca54ce9328d01baec4c73d5192150862f079607f969a118d1cad96da63b7250ec4fb2687d0a20684c08e3369547c4fff9be153a0bca563a7675e SHA512 66aa65d208b4488c308702fec2a4fecc79afbba9d6725a0077969022aca4f26f71e46022eee31800b907fe75d3914f81a35f9d660bdbc74e166ea03acded839b

diff --git a/sys-apps/uutils-coreutils/uutils-coreutils-0.10.0.ebuild b/sys-apps/uutils-coreutils/uutils-coreutils-0.10.0.ebuild
new file mode 100644
index 000000000000..a20abe2d9cb9
--- /dev/null
+++ b/sys-apps/uutils-coreutils/uutils-coreutils-0.10.0.ebuild
@@ -0,0 +1,132 @@
+# Copyright 2022-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+# Autogenerated by pycargoebuild 0.6.2
+
+EAPI=8
+
+CRATES="
+"
+
+RUST_MIN_VER="1.88.0"
+LLVM_COMPAT=( {17..22} )
+inherit cargo flag-o-matic llvm-r2 multiprocessing
+
+DESCRIPTION="GNU coreutils rewritten in Rust"
+HOMEPAGE="https://uutils.github.io/coreutils/ https://github.com/uutils/coreutils"
+
+if [[ ${PV} == 9999 ]] ; then
+	EGIT_REPO_URI="https://github.com/uutils/coreutils"
+	inherit git-r3
+elif [[ ${PV} == *_p* ]] ; then
+	COREUTILS_COMMIT=""
+	SRC_URI="https://github.com/uutils/coreutils/archive/${COREUTILS_COMMIT}.tar.gz -> ${P}.tar.gz"
+	S="${WORKDIR}"/coreutils-${COREUTILS_COMMIT}
+else
+	SRC_URI="https://github.com/uutils/coreutils/archive/refs/tags/${PV}.tar.gz -> ${P}.tar.gz"
+	S="${WORKDIR}"/coreutils-${PV}
+
+	KEYWORDS="~amd64 ~arm64 ~ppc64"
+fi
+
+if [[ ${PV} != 9999 ]] ; then
+	SRC_URI+="
+		https://github.com/gentoo-crate-dist/coreutils/releases/download/${PV}/coreutils-${PV}-crates.tar.xz
+	"
+fi
+
+LICENSE="MIT"
+# Dependent crate licenses
+LICENSE+="
+	Apache-2.0 BSD-2 BSD Boost-1.0 CC0-1.0 ISC MIT Unicode-3.0 ZLIB
+"
+SLOT="0"
+IUSE="debug selinux test"
+RESTRICT="!test? ( test )"
+
+DEPEND="
+	dev-libs/oniguruma:=
+	selinux? ( sys-libs/libselinux )
+"
+RDEPEND="${DEPEND}"
+BDEPEND="
+	test? ( dev-util/cargo-nextest )
+	selinux? (
+		$(llvm_gen_dep '
+			llvm-core/clang:${LLVM_SLOT}
+		')
+	)
+"
+QA_FLAGS_IGNORED=".*"
+
+pkg_setup() {
+	llvm-r2_pkg_setup
+	rust_pkg_setup
+}
+
+src_unpack() {
+	if [[ ${PV} == 9999 ]] ; then
+		git-r3_src_unpack
+		cargo_live_src_unpack
+	else
+		cargo_src_unpack
+	fi
+}
+
+src_prepare() {
+	default
+	# This is should be a set of env vars in upstream CI
+	rm -f "${S}/.cargo/config.toml"
+
+	# Upstream convention for bash-completions clashes with our own
+	sed -i -e 's:\.bash::' "${S}/GNUmakefile" || die
+}
+
+src_compile() {
+	# normally cargo_src_compile sets this for us, but we don't use it
+	filter-lto
+
+	# By default, the crate uses a system version if it can. This just guarantees
+	# that it will error out instead of building a vendored copy.
+	export RUSTONIG_SYSTEM_LIBONIG=1
+
+	makeargs=(
+		# Disable output synchronisation as make calls cargo
+		-Onone
+
+		V=1
+
+		PROFILE=$(usex debug debug release)
+
+		PREFIX="${EPREFIX}/usr"
+		PROG_PREFIX="uu-"
+		MULTICALL=y
+		MANDIR="/share/man/man1"
+
+		SELINUX_ENABLED=$(usex selinux 1 0)
+
+		# pinky, uptime, users, and who require utmpx (not available on musl)
+		# bug #832868
+		SKIP_UTILS="$(usev elibc_musl "pinky uptime users who")"
+
+		# bug #963516
+		LIBSTDBUF_DIR="${EPREFIX}/usr/libexec/${PN}"
+	)
+
+	emake "${makeargs[@]}"
+}
+
+src_test() {
+	local -x RUST_BACKTRACE=full
+	local -x NEXTEST_TEST_THREADS="$(makeopts_jobs)"
+
+	# Nicer output for nextest vs test
+	emake "${makeargs[@]}" \
+		CARGOFLAGS="${CARGOFLAGS} $(usev !debug --release)" \
+		TEST_NO_FAIL_FAST="--no-fail-fast" \
+		nextest
+}
+
+src_install() {
+	emake "${makeargs[@]}" DESTDIR="${D}" install
+}
lmpx.com only provides a reader for public news (NNTP) servers. It is not affiliated with the servers or forums shown here and is not responsible for the content of articles, which is written by their respective authors.